%define anolis_release 1
Name:           python-utils
Version:        3.4.5
Release:        %{anolis_release}%{?dist}
Summary:        Python Utils is a module with some convenient utilities

License:        BSD
URL:            https://github.com/WoLpH/python-utils
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         0001-fix-check-loguru.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# tox.ini uses _python_utils_tests/requirements.txt and that uses coverage and linting
# so we cherry-pick what we need instead
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx

%?python_enable_dependency_generator

%description
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package -n     python3-utils
Summary:        %{summary}

%description -n python3-utils
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package        docs
Summary:        Documentation for python-utils
Requires:       python3-utils = %{version}-%{release}

%description docs
Documentation for python-utils.


%prep
%autosetup -p1 -n %{name}-%{version}

# Stop linting code in %%check and measuring coverage, this is upstream's business
sed -Ei '/--(cov|pep8|flake8|mypy)/d' pytest.ini
sed -Ezi 's/flake8.+=.+\n(\s*\S+\s*\n)*\n/\n/' pytest.ini

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/{.doctrees,.buildinfo,*.inv}


%install
%pyproject_install
%pyproject_save_files python_utils


%check
%pytest


%files -n python3-utils -f %{pyproject_files}
%doc README.rst

%files docs
%doc html


%changelog
* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.4.5-1
- update to version 3.4.5

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.1.0-1
- init from upstream
